<template>
    <simple-form
        :items="formItems"
        ref="formRef"
        label-width="0"
        :footer="true"
        @submit="handleSubmit"
    />
</template>

<script setup name="baseConfig">
    import { ref, shallowRef } from 'vue';
    import SimpleForm from '@/components/CommonPage/SimpleForm.vue';

    const formRef = ref(null);
    const formItems = shallowRef([
        {
            type: 'editor',
            label: '',
            prop: 'userAgreement'
        }
    ]);

    function handleSubmit(data) {
        console.log(data);
    }
</script>
